# Pass Manager

Telegram bot that manages your passwords written in Rust

## Usage

You can self host this bot you have to

* Add your telegram token into .env file

    ```toml
    TOKEN=<YOUR-TOKEN>
    ```

* Starting the bot using docker compose

    ```bash
    sudo docker compose up -d
    ```

## Cryptography

* Scrypt is used to store and verify the master password
* PBKDF2 is used to get a 256 bit key for encryption
* ChaCha20-Poly1305 is used to encrypt logins and passwords

## Commands

These commands are supported:

* /start — displays the welcome message
* /help — displays this text
* /set_master_pass — sets the master password
* /menu — gives you a menu to manage your accounts
* /add_account — adds the account
* /get_account — gets the account
* /get_accounts — gets a list of accounts
* /delete — deletes the account
* /delete_all — deletes all the accounts and the master password
* /export — exports all the accounts in a json file
* /import — loads the accounts from a json file
* /gen_password — generates 10 secure passwords
* /cancel — cancels the current action
