//! Functions to encrypt the database models

pub mod account;
pub mod hashing;
pub mod master_pass;
pub mod passwords;
pub mod prelude;

#[derive(thiserror::Error, Debug)]
pub enum Error {
    #[error(transparent)]
    ChaChaError(#[from] chacha20poly1305::Error),

    #[error(transparent)]
    InvalidUTF8(#[from] std::string::FromUtf8Error),
}

type Result<T> = std::result::Result<T, Error>;
