use crate::prelude::*;
use futures::try_join;
use teloxide::types::ParseMode;

#[inline]
pub async fn get(
    bot: Throttle<Bot>,
    q: CallbackQuery,
    db: DatabaseConnection,
    hash: super::NameHash,
) -> crate::Result<()> {
    let user_id = q.from.id.0;
    let mut ids: MessageIds = q.message.as_ref().unwrap().into();

    let name = match name_from_hash(&db, user_id, &hash).await? {
        Some(name) => name,
        None => {
            try_join!(
                bot.send_message(ids.0, "Account wasn't found")
                    .reply_markup(deletion_markup())
                    .send(),
                bot.answer_callback_query(q.id).send()
            )?;
            return Ok(());
        }
    };

    let text = format!("Name:\n`{name}`\nLogin:\n\\*\\*\\*\nPassword:\n\\*\\*\\*");

    ids.alter_message(
        &bot,
        text,
        account_markup(&name, true),
        ParseMode::MarkdownV2,
    )
    .await?;
    bot.answer_callback_query(q.id).await?;

    Ok(())
}
