use crate::prelude::*;

#[inline]
async fn check_login(
    _: &Message,
    _: &DatabaseConnection,
    login: &str,
) -> crate::Result<Option<String>> {
    let is_valid = validate_field(login);
    if !is_valid {
        return Ok(Some("Invalid login. Try again".to_owned()));
    }
    Ok(None)
}

crate::simple_state_handler!(
    get_login,
    check_login,
    "Couldn't get the text of the message. Send the login again"
);
