use crate::prelude::*;

#[inline]
async fn check_password(
    _: &Message,
    _: &DatabaseConnection,
    password: &str,
) -> crate::Result<Option<String>> {
    let is_valid = validate_field(password);
    if !is_valid {
        return Ok(Some("Invalid password. Try again".to_owned()));
    }
    Ok(None)
}

crate::simple_state_handler!(
    get_password,
    check_password,
    "Couldn't get the text of the message. Send the password again"
);
